<Manage::FieldContainer @title={{@title}} @isDisabled={{this.isDisabled}} @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}} @value={{@value}} {{did-insert this.setup}} ...attributes>
  <:view>
    {{#if this.value}}
      <LinkTo @route='manage.pages.content' @model={{this.value.id}}>
        {{this.value.name}}
      </LinkTo>
    {{else}}
      <div class='alert {{if @required "alert-danger" "alert-info"}} ' role='alert'>
        {{t 'message-no-page'}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    <Input::Select @allowEmpty={{not @required}} @list={{this.list}} @value={{this.value}} @onChange={{this.change}} />
  </:edit>

</Manage::FieldContainer>